Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 828531 - www-client/firefox slotting/versioning system should be improved
Summary: www-client/firefox slotting/versioning system should be improved
Status: UNCONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Mozilla Gentoo Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-12-07 19:57 UTC by korte
Modified: 2021-12-15 21:00 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description korte 2021-12-07 19:57:01 UTC
The firefox slots/versions are not optimal for me to select the right version. (And everybody wants something else ;) )

recent result from "equery m firefox":

 * www-client/firefox [gentoo]
[..]
Keywords:    78.15.0:0/esr78: amd64 arm64 x86 ~ppc64
Keywords:    91.3.0:0/esr91: amd64 arm64
Keywords:    91.4.0:0/esr91: ~amd64 ~arm64 ~ppc64 ~x86
Keywords:    93.0:0/93: ~amd64 ~arm64 ~ppc64 ~x86
Keywords:    94.0.1-r1:0/94:
Keywords:    94.0.2:0/94: ~amd64 ~arm64 ~ppc64 ~x86
Keywords:    95.0:0/95: ~amd64 ~arm64 ~ppc64 ~x86

I would like to use the latest esr version on arm64 (91.4.0) with [arm64|~arm64]. Sam recommended "put www-client/firefox:0/esr91 in package.accept_keywords?"

For new esr versions (e.g. 102) I need to add additional lines and if I forget to, I have an outdated version. It would be nice, if there could be a solution like

1. suggestion 2 packages: firefox and firefox-esr
2. suggestion from sam, 
if the subslot was 0/esr, you could do stuff like package.mask
>=www-client/firefox-91:0/esr to say you only wanted an ESR before 91
etc
i think you get a get a lot more flexibility with 0/esr

Are there any reasons to choose slots like /esr91?

Reproducible: Always
Comment 1 korte 2021-12-07 20:21:22 UTC
21:17 <+gyakovlev> also it may be possible to fake-slot it
21:17 <+gyakovlev> like firefox:esr/91
21:17 <+gyakovlev> so firefox:esr will work
21:17 <+gyakovlev> without specifying subslot.
21:17 < Jens3> wtf, idk much about (sub)slotting
21:17 <+gyakovlev> rust used to be fake-slotted like that long ago, we had :beta and :stable
21:18 <+gyakovlev> but those could not be co-installed, so it's fake slotting.
21:18 <+gyakovlev> by default portage assumes a slotted packages can co-exist.
21:18 < Jens3> If there is a solution which is acceptable by the developers and leads to an improvement for me, that would be fine
21:19 <+gyakovlev> idk, I'm here just because I coordinate rust bumps with mozilla team =) don't know a thing about ff/moz maintenance.
21:19 < Jens3> how about adding fake-slotting to the bug?
21:20 <+gyakovlev> feel free to copy the text to the bug